function [cntArr525] = makeCntArr525(corValArrB)
    % val1 val2 ang1(hjul) ang2(stag), kun kanal 1 brukes til pumpe, kanal 2 er folk
    %
    % axScale = 0.45; 
    % stagLng = 2.6318;
    % hjulstagLng =  0.5898;
    %
    % hjulCenterHoyde = 9.6318;
    % belgBunnHoyde = 6;
    % belgCenterHoyde = 1 + belgBunnHoyde;
    % belgTopHoyde = belgCenterHoyde + axScale * ax;
    % hjulCenter2belgTop = hjulCenterHoyde - belgTopHoyde;
    %
    % cos(A) = b*b + c*c − a*a / 2bc
    % cos(A) = hjulCenter2belgTop^2 + hjulstagLng^2 − stagLng^2 / (2 * hjulCenter2belgTop * hjulstagLng);
    %
    % axScale : gitt av: hjulCenter2belgTopMax = hjulstagLng + stagLng = 0.5898 + 2.6318 = 3.2216
    %
    % hjulCenter2belgTopMax = 3.2216
    % hjulCenter2belgTopMax = hjulCenterHoyde - belgTopHoydeMin = 9.6318 - ((1-axScale) + belgBunnHoyde)
    % hjulCenter2belgTopMax = 9.6318 - 1 + axScale - 6 = 2.6318 + axScale
    %
    % axScale = 0.5898
    
    % -1 < ax < 1 ok
    axScale = 0.5897;
    stagLng = 2.6318; % ok
    hjulstagLng =  0.5898; % ok
    hjulCenterHoyde = 9.6318; % ok
    belgBunnHoyde = 6; % ok
    
    fs = 525;
    
    lng = floor(fs * corValArrB(end, 1, 1)/1000);
    
    cntArr525 = zeros(lng, 4);
    
    % Kanal 1
    paraIndexTeller = 1;
    
    A = 0;
    B = 0;
    D = 0;
    T = 1;
    
    angFlip = 0; 

    for i = 1 : length(cntArr525) % Sample index i cntArr525
        if paraIndexTeller <= length(corValArrB)
            
            indexStart_i_cntArr525_for_currentParam = fs*corValArrB(paraIndexTeller, 1, 1)/1000;  
            
            % Slår til for hver nye B i corValArrB
            % Definerer nye parametre som skal vare til neste B
            if i > indexStart_i_cntArr525_for_currentParam 
                A = corValArrB(paraIndexTeller, 3, 1);
                B = corValArrB(paraIndexTeller, 4, 1);
                D = corValArrB(paraIndexTeller, 5, 1);
                T = corValArrB(paraIndexTeller, 6, 1);
                
                if T == 0 % avslutning
                    T = 1;
                    A = 0;
                    B = 0;
                end
                
                if corValArrB(paraIndexTeller, 7, 1) == 1
                    angFlip = ~angFlip;
                end
                
                paraIndexTeller = paraIndexTeller + 1;
            end
        end
        
        cntArr525(i, 1) = A*cos(2*pi*(i - D)/T) + B;
        
        % Hjul
        belgTopHoyde = 1 + axScale * cntArr525(i, 1) + belgBunnHoyde; % belgCenterHoyde + axScale * cntArr525(i, 1);
        hjulCenter2belgTop = hjulCenterHoyde - belgTopHoyde;
        ang = rad2deg( acos( (hjulCenter2belgTop^2 + hjulstagLng^2 - stagLng^2) / (2 * hjulCenter2belgTop * hjulstagLng) ) );
        if angFlip == 1
            ang = -ang;
        end
        cntArr525(i, 3) = ang; 
        
        % Stag cos(C) = a*a + b*b − c*c / 2ab
        ang = rad2deg( acos( (stagLng^2 + hjulCenter2belgTop^2 - hjulstagLng^2)/(2 * stagLng * hjulCenter2belgTop) ) );
        if angFlip == 1
            ang = -ang;
        end        
        cntArr525(i, 4) = ang;
        
    end
    
    
    
    % Kanal 2
    clickArrB = corValArrB(:, 1, 2);
    paraIndexTeller = 1;
    
    A = 0;
    B = 0;
    D = 0;
    T = 1;
 
    for i = 1 : length(cntArr525)
        if paraIndexTeller <= length(corValArrB)
            if i > fs*clickArrB(paraIndexTeller)/1000 % legger inn ny keyframe
                A = corValArrB(paraIndexTeller, 3, 2);
                B = corValArrB(paraIndexTeller, 4, 2);
                D = corValArrB(paraIndexTeller, 5, 2);
                T = corValArrB(paraIndexTeller, 6, 2);
                
                if T == 0 % avslutning
                    T = 1;
                    A = 0;
                    B = 0;
                end
                
                paraIndexTeller = paraIndexTeller + 1;
            end
        end
        
        cntArr525(i, 2) = A*cos(2*pi*(i - D)/T) + B;
    end
    
end
